Package fr.gouv.vitam.processing.common.exception

# Class ProcessingNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.processing.common.exception.ProcessingNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ProcessingNotFoundException extends ProcessingException
Define a Processing Exception to be thrown when an error occurred, not a fatal error

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessingNotFoundException(String message, String manifestId, String guid, boolean validGuid, ExceptionType type, String taskKey)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGuid()`
  `String`
  `getManifestId()`
  `String`
  `getTaskKey()`
  `ExceptionType`
  `getType()`
  `boolean`
  `isValidGuid()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessingNotFoundException

    public ProcessingNotFoundException(String message, String manifestId, String guid, boolean validGuid, ExceptionType type, String taskKey)
    Parameters:
      `message` - associated message
      `manifestId` -
      `guid` -

- ## Method Details

  - ### getManifestId

    public String getManifestId()
    Returns:
      the unit id

  - ### isValidGuid

    public boolean isValidGuid()

  - ### getType

    public ExceptionType getType()

  - ### getGuid

    public String getGuid()

  - ### getTaskKey

    public String getTaskKey()